### Function

# Gimp ConfigPath unexpand

#### Declaration [src]

    gchar*
    gimp_config_path_unexpand (
      const gchar* path,
      gboolean recode,
      GError** error
    )

#### Description [src]

The inverse operation of `gimp_config_path_expand()`

This function takes a `path` and tries to substitute the first elements by well-known special identifiers such as for example ${gimp_dir}. The unexpanded path can then be stored in gimprc and other config files.

If `recode` is `TRUE` then `path` is in local filesystem encoding, if `recode` is `FALSE` then `path` is assumed to be UTF-8.

Available since: | 2.10

#### Parameters

`path` | `const gchar*`
| A NUL-terminated string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`recode` | `gboolean`
| Whether `path` is in filesystem encoding or UTF-8
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A newly allocated NUL-terminated UTF-8 string.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.